Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms
Class Request

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.Message
oracle.security.xmlsec.xkms.Request`

Direct Known Subclasses:
  CompoundRequest, LocateRequest, PendingRequest, RecoverRequest, RegisterRequest, ReissueRequest, RevokeRequest, ValidateRequest

public abstract class Request
extends Message

Abstract base class for XKMS request messages. Represents the `xkms:RequestAbstractType` element.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`protected` | `Request(org.w3c.dom.Document owner, java.lang.String tagName)` Creates a new `Request` instance.
`protected` | `Request(org.w3c.dom.Document owner, java.lang.String tagName, java.lang.String systemId)` Creates a new `Request` instance.
`protected` | `Request(org.w3c.dom.Element element)` Creates a new `Request` instance.

Method Summary
`void` | `addRespondWith(java.lang.String responseID)` Adds type of data requested to be sent in the response, as a `RespondWith` child element of this request.
`void` | `addResponseMechanism(java.lang.String responseMech)` Add the type of data requested to be sent in the response, as a `ResponseMechanism` child element of this request.
`java.lang.String` | `getOriginalRequestID()` Returns the value of the `OriginalRequestId` attribute for this message or `null` if none is set.
`java.lang.String` | `getPendingNotificationIdentifier()` Returns the `Identifier` URI attribute value of the `PendingNotification` element for this request message.
`java.lang.String` | `getPendingNotificationMechanism()` Returns the `Mechanism` URI attribute value of the `PendingNotification` element for this request message.
`java.util.List` | `getRespondWiths()` Returns a list of any `RespondWith` elements in this request message.
`java.math.BigInteger` | `getResponseLimit()` Returns the value of the `ResponseLimit` attribute for this message or `null` if none is set.
`java.util.List` | `getResponseMechanisms()` Returns a list of any `ResponseMechanism` elements in this request message.
`void` | `setOriginalRequestID(java.lang.String origRequestID)` Sets the `OriginalRequestId` attribute for this message.
`void` | `setPendingNotification(java.lang.String mechanism, java.lang.String identifier)` Sets the pending response notification information in a `PendingNotification` element.
`void` | `setResponseLimit(java.math.BigInteger limit)` Sets the `ResponseLimit` attribute for this message.

Methods inherited from class oracle.security.xmlsec.xkms.Message
`addMessageExtension, clearSignature, getId, getMessageExtensions, getNonce, getOpaqueClientData, getService, getSignature, insertChild, insertChild, removeChildren, setId, setNonce, setOpaqueClientData, setService, setSignature`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    protected Request(org.w3c.dom.Element element)
               throws org.w3c.dom.DOMException

  Creates a new `Request` instance.
Parameters:
  `element` - An Element node in the XML document.
Throws:
  `org.w3c.dom.DOMException`

### Request

    protected Request(org.w3c.dom.Document owner,
                      java.lang.String tagName)
               throws org.w3c.dom.DOMException

  Creates a new `Request` instance.
Parameters:
  `owner` - The owner document of the new `Request`.
  `tagName` - The name of the element to be created; for example, "LocateRequest" if this `Request` is to be a X-KISS LocateRequest mesage.
Throws:
  `org.w3c.dom.DOMException`

### Request

    protected Request(org.w3c.dom.Document owner,
                      java.lang.String tagName,
                      java.lang.String systemId)
               throws org.w3c.dom.DOMException

  Creates a new `Request` instance.
Parameters:
  `owner` - The owner document of the new `Request`.
  `tagName` - The name of the element to be created; for example, "LocateRequest" if this `Request` is to be a X-KISS LocateRequest mesage.
  `systemId` - The URI string system ID for the `Message`..
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setOriginalRequestID

    public void setOriginalRequestID(java.lang.String origRequestID)
                              throws org.w3c.dom.DOMException

  Sets the `OriginalRequestId` attribute for this message.
  Parameters:
    `origRequestID` - The identifier of the original request in the case of a represented or pending request.
  Throws:
    `org.w3c.dom.DOMException`

### getOriginalRequestID

    public java.lang.String getOriginalRequestID()

  Returns the value of the `OriginalRequestId` attribute for this message or `null` if none is set.
  Returns:
    The identifier of the original request in the case of a represented or pending request.
  Throws:
    `org.w3c.dom.DOMException`

### setResponseLimit

    public void setResponseLimit(java.math.BigInteger limit)
                          throws org.w3c.dom.DOMException

  Sets the `ResponseLimit` attribute for this message.
  Parameters:
    `limit` - The maximum number of data items the requestor can accept in the case that the schema specifies an unbounded number of elements.
  Throws:
    `org.w3c.dom.DOMException`

### getResponseLimit

    public java.math.BigInteger getResponseLimit()

  Returns the value of the `ResponseLimit` attribute for this message or `null` if none is set.
  Returns:
    The maximum number of data items the requestor can accept in the case that the schema specifies an unbounded number of elements.

### addResponseMechanism

    public void addResponseMechanism(java.lang.String responseMech)
                              throws org.w3c.dom.DOMException

  Add the type of data requested to be sent in the response, as a `ResponseMechanism` child element of this request.
  Parameters:
    `responseMech` - A `URI` identifying the XKMS response mechanism type.
  Throws:
    `org.w3c.dom.DOMException`

### getResponseMechanisms

    public java.util.List getResponseMechanisms()

  Returns a list of any `ResponseMechanism` elements in this request message.
  Returns:
    A `Vector` of response mechanism URI strings.

### addRespondWith

    public void addRespondWith(java.lang.String responseID)
                        throws org.w3c.dom.DOMException

  Adds type of data requested to be sent in the response, as a `RespondWith` child element of this request.
  Parameters:
    `responseID` - A `URI` identifying the XKMS response data type.
  Throws:
    `org.w3c.dom.DOMException`

### getRespondWiths

    public java.util.List getRespondWiths()

  Returns a list of any `RespondWith` elements in this request message.
  Returns:
    A `Vector` of response type URI strings.

### setPendingNotification

    public void setPendingNotification(java.lang.String mechanism,
                                       java.lang.String identifier)
                                throws org.w3c.dom.DOMException

  Sets the pending response notification information in a `PendingNotification` element.
  Parameters:
    `mechanism` - The URI string value of the Mechanism attribute that specifies the protocol by which the notification is delivered.
    `identifier` - The URI string value of the Identifier attribute that specifies the address to which the notification is delivered.
  Throws:
    `org.w3c.dom.DOMException`

### getPendingNotificationMechanism

    public java.lang.String getPendingNotificationMechanism()

  Returns the `Mechanism` URI attribute value of the `PendingNotification` element for this request message.
  Returns:
    The `Mechanism` URI string, or `null` if none is present.

### getPendingNotificationIdentifier

    public java.lang.String getPendingNotificationIdentifier()

  Returns the `Identifier` URI attribute value of the `PendingNotification` element for this request message.
  Returns:
    The `Identifier` URI string, or `null` if none is present.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.